Bug 1344690 - ActionController::RoutingError in automation simulation tree [NEEDINFO]
Summary: ActionController::RoutingError in automation simulation tree
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.7.4
Assignee: Dávid Halász
QA Contact: Anurag
URL:
Whiteboard: ui:automate
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-10 11:29 UTC by Aziza Karol
Modified: 2017-12-18 20:25 UTC (History)
6 users (show)

Fixed In Version: 5.7.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-18 20:25:08 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:
dhalasz: needinfo? (akarol)


Attachments (Terms of Use)
err (95.55 KB, image/png)
2016-06-10 11:29 UTC, Aziza Karol
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3484 0 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-12-19 01:24:16 UTC

Description Aziza Karol 2016-06-10 11:29:49 UTC
Created attachment 1166619 [details]
err

Description of problem:


Version-Release number of selected component (if applicable):
5.6.0.10

How reproducible:
100%

Steps to Reproduce:
1.Navigate to Automate->simulation 
2.Run simulation for any object attribute
3.In Simulation tree view click on for ex:target class

Actual results:
ActionController::RoutingError in production log.see attached screenshot

Expected results:


Additional info:
production.log
[----] I, [2016-06-10T07:29:27.437193 #3000:77fc18]  INFO -- : Started GET "/images/100/nil_class.png" for 127.0.0.1 at 2016-06-10 07:29:27 -0400
[----] F, [2016-06-10T07:29:27.450102 #3000:77fc18] FATAL -- :   
[----] F, [2016-06-10T07:29:27.450245 #3000:77fc18] FATAL -- : ActionController::RoutingError (No route matches [GET] "/images/100/nil_class.png"):
[----] F, [2016-06-10T07:29:27.450303 #3000:77fc18] FATAL -- :   
[----] F, [2016-06-10T07:29:27.450356 #3000:77fc18] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:53:in `call'
[----] F, [2016-06-10T07:29:27.450403 #3000:77fc18] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
[----] F, [2016-06-10T07:29:27.450463 #3000:77fc18] FATAL -- : railties (5.0.0.rc1) lib/rails/rack/logger.rb:36:in `call_app'
[----] F, [2016-06-10T07:29:27.450507 #3000:77fc18] FATAL -- : railties (5.0.0.rc1) lib/rails/rack/logger.rb:26:in `call'
[----] F, [2016-06-10T07:29:27.450570 #3000:77fc18] FATAL -- : request_store (1.3.1) lib/request_store/middleware.rb:9:in `call'
[----] F, [2016-06-10T07:29:27.450633 #3000:77fc18] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/request_id.rb:24:in `call'
[----] F, [2016-06-10T07:29:27.450692 #3000:77fc18] FATAL -- : rack (2.0.0.rc1) lib/rack/method_override.rb:22:in `call'
[----] F, [2016-06-10T07:29:27.450748 #3000:77fc18] FATAL -- : rack (2.0.0.rc1) lib/rack/runtime.rb:22:in `call'
[----] F, [2016-06-10T07:29:27.450801 #3000:77fc18] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
[----] F, [2016-06-10T07:29:27.450886 #3000:77fc18] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/executor.rb:12:in `call'
[----] F, [2016-06-10T07:29:27.450950 #3000:77fc18] FATAL -- : rack (2.0.0.rc1) lib/rack/sendfile.rb:111:in `call'
[----] F, [2016-06-10T07:29:27.451001 #3000:77fc18] FATAL -- : railties (5.0.0.rc1) lib/rails/engine.rb:522:in `call'
[----] F, [2016-06-10T07:29:27.451051 #3000:77fc18] FATAL -- : puma (3.3.0) lib/puma/configuration.rb:224:in `call'
[----] F, [2016-06-10T07:29:27.451101 #3000:77fc18] FATAL -- : puma (3.3.0) lib/puma/server.rb:561:in `handle_request'
[----] F, [2016-06-10T07:29:27.451151 #3000:77fc18] FATAL -- : puma (3.3.0) lib/puma/server.rb:406:in `process_client'
[----] F, [2016-06-10T07:29:27.451199 #3000:77fc18] FATAL -- : puma (3.3.0) lib/puma/server.rb:271:in `block in run'
[----] F, [2016-06-10T07:29:27.451249 #3000:77fc18] FATAL -- : puma (3.3.0) lib/puma/thread_pool.rb:111:in `call'
[----] F, [2016-06-10T07:29:27.451298 #3000:77fc18] FATAL -- : puma (3.3.0) lib/puma/thread_pool.rb:111:in `block in spawn_thread'
[----] F, [2016-06-10T07:29:27.451346 #3000:77fc18] FATAL -- : logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `call'
[----] F, [2016-06-10T07:29:27.451394 #3000:77fc18] FATAL -- : logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'

Comment 5 Aziza Karol 2017-06-21 05:38:53 UTC
David,

I am still getting this issue on 5.7.3.1.20170608124102_4b35a9e.

Production.log:
[----] F, [2017-06-21T01:33:58.652305 #3027:122d610] FATAL -- : ActionController::RoutingError (No route matches [GET] "/images/100/nil_class.png"):
[----] F, [2017-06-21T01:33:58.652347 #3027:122d610] FATAL -- :   
[----] F, [2017-06-21T01:33:58.652405 #3027:122d610] FATAL -- : actionpack (5.0.3) lib/action_dispatch/middleware/debug_exceptions.rb:53:in `call'
actionpack (5.0.3) lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
railties (5.0.3) lib/rails/rack/logger.rb:36:in `call_app'
railties (5.0.3) lib/rails/rack/logger.rb:26:in `call'
request_store (1.3.2) lib/request_store/middleware.rb:9:in `call'
actionpack (5.0.3) lib/action_dispatch/middleware/request_id.rb:24:in `call'
rack (2.0.3) lib/rack/method_override.rb:22:in `call'
rack (2.0.3) lib/rack/runtime.rb:22:in `call'
activesupport (5.0.3) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
actionpack (5.0.3) lib/action_dispatch/middleware/executor.rb:12:in `call'
rack (2.0.3) lib/rack/sendfile.rb:111:in `call'
railties (5.0.3) lib/rails/engine.rb:522:in `call'
puma (3.3.0) lib/puma/configuration.rb:224:in `call'
puma (3.3.0) lib/puma/server.rb:561:in `handle_request'
puma (3.3.0) lib/puma/server.rb:406:in `process_client'
puma (3.3.0) lib/puma/server.rb:271:in `block in run'
puma (3.3.0) lib/puma/thread_pool.rb:111:in `block in spawn_thread'
[----] I, [2017-06-21T01:34:32.198005 #3027:122dc28]  INFO -- : Started GET "/images/100/nil_class.png" for 127.0.0.1 at 2017-06-21 01:34:32 -0400
[----] F, [2017-06-21T01:34:32.201987 #3027:122dc28] FATAL -- :   
[----] F, [2017-06-21T01:34:32.202035 #3027:122dc28] FATAL -- : ActionController::RoutingError (No route matches [GET] "/images/100/nil_class.png"):
[----] F, [2017-06-21T01:34:32.202060 #3027:122dc28] FATAL -- :   
[----] F, [2017-06-21T01:34:32.202082 #3027:122dc28] FATAL -- : actionpack (5.0.3) lib/action_dispatch/middleware/debug_exceptions.rb:53:in `call'
actionpack (5.0.3) lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
railties (5.0.3) lib/rails/rack/logger.rb:36:in `call_app'
railties (5.0.3) lib/rails/rack/logger.rb:26:in `call'
request_store (1.3.2) lib/request_store/middleware.rb:9:in `call'
actionpack (5.0.3) lib/action_dispatch/middleware/request_id.rb:24:in `call'

Thanks,
Aziza

Comment 7 CFME Bot 2017-07-24 15:40:59 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/145966d992ce013a9c3ba5454d14894d9446a843

commit 145966d992ce013a9c3ba5454d14894d9446a843
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Mon Jul 24 11:11:14 2017 +0200
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Mon Jul 24 11:11:14 2017 +0200

    Add missing nil_class.png for fixing automate routing errors
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1344690

 app/assets/images/100/nil_class.png | Bin 0 -> 3364 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)
 create mode 100644 app/assets/images/100/nil_class.png

Comment 10 Anurag 2017-09-27 06:21:55 UTC
Hi David,

I checked on version: Version 5.7.4.0.20170913182424_63a1e18 and same Fatal error is still present.


Production log:

[----] I, [2017-09-27T02:17:43.312734 #3583:151df50]  INFO -- : Started GET "/images/100/manageiq_providers_openstack_cloud_manager_cloud_tenant.png" for 127.0.0.1 at 2017-09-27 02:17:43 -0400
[----] F, [2017-09-27T02:17:43.319591 #3583:151df50] FATAL -- :   
[----] F, [2017-09-27T02:17:43.319781 #3583:151df50] FATAL -- : ActionController::RoutingError (No route matches [GET] "/images/100/manageiq_providers_openstack_cloud_manager_cloud_tenant.png"):
[----] F, [2017-09-27T02:17:43.319845 #3583:151df50] FATAL -- :   
[----] F, [2017-09-27T02:17:43.319910 #3583:151df50] FATAL -- : actionpack (5.0.3) lib/action_dispatch/middleware/debug_exceptions.rb:53:in `call'
actionpack (5.0.3) lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
railties (5.0.3) lib/rails/rack/logger.rb:36:in `call_app'
railties (5.0.3) lib/rails/rack/logger.rb:26:in `call'
request_store (1.3.2) lib/request_store/middleware.rb:9:in `call'
actionpack (5.0.3) lib/action_dispatch/middleware/request_id.rb:24:in `call'
rack (2.0.3) lib/rack/method_override.rb:22:in `call'
rack (2.0.3) lib/rack/runtime.rb:22:in `call'
activesupport (5.0.3) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
actionpack (5.0.3) lib/action_dispatch/middleware/executor.rb:12:in `call'
rack (2.0.3) lib/rack/sendfile.rb:111:in `call'
railties (5.0.3) lib/rails/engine.rb:522:in `call'
puma (3.3.0) lib/puma/configuration.rb:224:in `call'
puma (3.3.0) lib/puma/server.rb:561:in `handle_request'
puma (3.3.0) lib/puma/server.rb:406:in `process_client'
puma (3.3.0) lib/puma/server.rb:271:in `block in run'

Comment 13 Anurag 2017-09-27 08:56:45 UTC
Marking this issue as verified as the icon is visible.

Verified on version: Version 5.7.4.0.20170913182424_63a1e18

Comment 16 errata-xmlrpc 2017-12-18 20:25:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3484


Note You need to log in before you can comment on or make changes to this bug.